Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01677 Crash/Freeze Critical (emulator) Always Apr 5, 2008, 08:39 Jul 10, 2008, 00:24
Tester Canim View Status Public Platform MAME (Official Binary)
Assigned To aaron Resolution Fixed OS
Status [?] Resolved Driver zr107.cpp
Version 0.124a Fixed in Version 0.125u8 Build 64-bit
Summary 01677: midnrun, windheat: Access violation
Description All games in zr107.c come up with an access violation with a 64bit build.
A 32bit build works under Vista64.
Steps To Reproduce
Additional Information For windheat:
-----------------------------------------------------
Exception at EIP=00000001401727E0: ACCESS VIOLATION
While attempting to read memory at FFFFFFE3
-----------------------------------------------------
RAX=0000000000000000 RBX=FFFFFFE5FFFFFFE3 RCX=0000000000000000 RDX=0000000000000
000
RSI=0000000142646EF0 RDI=000000000000000B RBP=0000000142646EF0 RSP=000000000012F
BD0
 R8=00000000DEADBEEF R9=0000000000000000 R10=0000000000000000 R11=0000000000000
000
R12=0000000001F1E740 R13=0000000000000000 R14=0000000142713040 R15=0000000142713
020
Flags 64-bit specific
Regression Version
Affected Sets / Systems midnrun, windheat
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
11
User avatar
No.00581
couriersud
Developer
Apr 5, 2008, 11:08
Changed severity to "Critical - Game"
I was not able to reproduce the crash using a 0124u1 64bit linux build.
==> windows specific
User avatar
No.00584
etabeta
Developer
Apr 5, 2008, 12:10
edited on: Apr 5, 2008, 12:13
both sets crash here as well, as soon as they reach the calibration screen. sdlmame on intel macbook (32bit), both in debug and normal build

backtrace (from debug build, it's basically the same in both and it seems related to readinputport(4)):

Program received signal EXC_BAD_INSTRUCTION, Illegal instruction/operand.
0x0026093c in adc0838_callback (input=0) at src/mame/drivers/zr107.c:252
252                             return (double)(5 * readinputport(4)) / 255.0;
(gdb) bt
#0  0x0026093c in adc0838_callback (input=0) at src/mame/drivers/zr107.c:252
#1  0x0076b3d7 in adc083x_clk_write ()
#2  0x00260888 in sysreg_w (machine=0x5e5dff0, offset=1, data=3758096384, mem_mask=16777215) at src/mame/drivers/zr107.c:240
#3  0x006eb669 in program_write_byte_32be ()
#4  0x1cc19d2a in ?? ()
Cannot access memory at address 0x37b
Previous frame inner to this frame (corrupt stack?)
Current language:  auto; currently c
User avatar
No.00590
Tafoid
Administrator
Apr 5, 2008, 13:07
Normal 32-bit build on Win 2k doesn't seem to crash for me on either set.
User avatar
No.00600
couriersud
Developer
Apr 6, 2008, 10:06
@etabeta: What compiler (and version) are you using?
"Program received signal EXC_BAD_INSTRUCTION, Illegal instruction/operand" This is most likely an issue with compiler flags.
Can you post the output of "mame -verbose" please?
User avatar
No.00601
Canim
Senior Tester
Apr 6, 2008, 11:21
For me they crash directly after the warning screen.
My selfcompiled standart 32 bit 0.124a and 0.124u1 version work perfecly, but the 0.124a 64bit binary from mamedev just crashes.
It's not the first version that it crashes, it's now for quite a few versions that I'm always testing it. I haven't tried to compile a 64bit version.
From version to version there were some diffrent probs, sometimes I saw the rom check and it said some roms bad then some u versions later it said roms ok but it crashed during eeprom initialising and now it crashes from the start.
I need to try a 0124u1 64bit binary.
Where can I get one?
User avatar
No.00604
etabeta
Developer
Apr 6, 2008, 16:28
it shall be the latest Xcode compiler for MacOSX10.4

anyway my verbose output
Parsing mame.ini
Parsing mame.ini
Build version:      0.124u1 (Apr  4 2008)
Build architecure:  SDLMAME_ARCH= 
Build defines:      SDLMAME_UNIX=1 SDLMAME_MACOSX=1 SDLMAME_DARWIN=1 LSB_FIRST=1 NDEBUG=1 
SDL/OpenGL defines: SDL_COMPILEDVERSION=1213 USE_OPENGL=1 USE_DISPATCH_GL=1 
Compiler defines A: __GNUC__=4 __GNUC_MINOR__=0 __GNUC_PATCHLEVEL__=1 __VERSION__="4.0.1 (Apple Computer, Inc. build 5367)" 
Compiler defines B: __i386__=1 
SDL Device Driver     : Mac OS X display
SDL Monitor Dimensions: 1280 x 800
Using SDL single-window OpenGL driver (SDL 1.2)
Loaded opengl shared library: /System/Library/Frameworks/OpenGL.framework/Libraries/libGL.dylib
OpenGL: Intel Inc.
OpenGL: Intel GMA 950 OpenGL Engine
OpenGL: 1.2 APPLE-1.4.56
OpenGL: texture rectangle supported
OpenGL: non-power-of-2 textures supported (new method)
OpenGL: vertex buffer supported
OpenGL: pixel buffers supported
OpenGL: framebuffer object supported
OpenGL: GLSL supported, but disabled
OpenGL: max texture size 2048 x 2048
Input: Adding Kbd #1: System keyboard
Input: Adding Mouse #1: System mouse
Joystick: Start initialization
Joystick: End initialization
Audio initialized - driver: coreaudio, frequency: 48000, channels: 2, samples: 512
sdl_create_buffers: creating stream buffer of 57344 bytes
OpenGL: VBO supported
OpenGL: PBO supported
OpenGL: FBO supported
OpenGL: using vid filter: 1
GL texture: copy 1, shader 0, dynamic 1, 512x384 512x384 [RGB32_PALETTED, Equal: 1, Palette: 1,
            scale 1x1 (eff: 0), border 0, pitch 512,512/2048], colors: 65536, bytes/pix 4
GL texture: copy 1, shader 0, dynamic 1, 512x384 512x384 [RGB32_PALETTED, Equal: 1, Palette: 1,
            scale 1x1 (eff: 0), border 0, pitch 512,512/2048], colors: 65536, bytes/pix 4
Illegal instruction
User avatar
No.00933
Canim
Senior Tester
May 10, 2008, 10:53
edited on: May 12, 2008, 07:37
Update:
I tried mame64 0.125 and it still crashes.
Perhaps it's a combination of windows and 64bit.
User avatar
No.01420
Canim
Senior Tester
Jun 28, 2008, 18:13
Tried mame .125u8 and both games don't crash anymore in 64bit.
Bug can be closed.
User avatar
No.01563
grahamtriggs
Tester
Jul 9, 2008, 20:00
In the official .126 release - both the official binary, and home built - with a 32-bit build on a 32-bit Vista, I'm finding that both of these games crash.

midnrun is giving a Windows 'this program has stopped working message', and all that is being printed on the console is:

------------------------------------------------

windheat is reporting:

-----------------------------------------------------
Exception at EIP=0125FE4A: ACCESS VIOLATION
While attempting to read memory at FFFFFFFF
-----------------------------------------------------
EAX=FFFFFFFF EBX=FFFFFFFF ECX=FFFFFFFF EDX=00000000
ESI=0DF43D00 EDI=0DF43EFE EBP=0022F338 ESP=0022F330
User avatar
No.01565
Canim
Senior Tester
Jul 10, 2008, 00:13
I tried 0.126 with a 32 & 64 bit build under Vista SP1 64bit and everything works great.
I will try later a 32bit build under WinXP 32 bit.
User avatar
No.01567
Tafoid
Administrator
Jul 10, 2008, 00:24
This appears to be an unrelated problem to what was before - now "-cheat" is the trigger that is causing the problems.
Shut off -CHEAT and the game boots ok.